.overlay {
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.92);
    z-index: 500000;
    position: fixed;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.modal-close {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background: white;
    color: red;
    position: fixed;
    top: 2%;
    right: 2%;
    font-size: 1.2em;
    cursor: pointer;
    z-index: 15000;
}

.payment-modal,
.withdraw-modal,
.task-modal
{
    width: 100%;
    height: 95% !important;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.task-modal {
    width: 90%;
    height: 90%;
    background: white;
    color: black;
    border-radius: 10px;
    padding: 2%;
    overflow: auto;
}

.task-text {
    width: 100%;
    height: 100%;
    padding: 2%;
}

.d-none {
    display: none;
}

/* Extra small devices (phones, 600px and down) */
@media screen and (max-width: 600px) {
    .payment-modal {
        width: 80% !important;
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media screen and (min-width: 600px) and (max-width: 992px) {
    .payment-modal {
        width: 50% !important;
    }
    .withdraw-modal {
        width: 70% !important;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media screen and (min-width: 768px) {
    .payment-modal {
        width: 40% !important;
    }
    .withdraw-modal {
        width: 40% !important;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media screen and (min-width: 992px) {
    .payment-modal {
        width: 30% !important;
    }
    .withdraw-modal {
        width: 40% !important;
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) 
    @media only screen and (min-width: 1200px) {
        .payment-modal {
            width: 40% !important;
        }
    }
*/


